<template>
    <div>
        <transition name="fade">
            <div v-if="$pdl.supplementary.amnesty.status === 1">
                <signin ref="sign"/>
            </div>
        </transition>

        <transition name="fade">
            <div v-if="$pdl.supplementary.amnesty.status === 2">
                <payment/>
            </div>
        </transition>
    </div>
</template>

<script>
  import signin from './singin.vue';
  import payment from './payment.vue';
  export default {
    name: 'Amnesty',
    components: {
      signin,
      payment
    },

    created() {
        this.$on('focus', () => {
          console.log(this.$refs);
          this.$refs.sign.$emit('focus');
        })
    },


  }
</script>

<style scoped>

</style>